anyone successfully running Win2k3 sp1 and Plesk 7.5.3 ?

I'm being told by current host that they are not compatible.


-Thanks

B